Developers
V1ClinicalAccess requests

Verified practitioner claims a QR to request access

Consumes the token once and creates a pending request. Neither reading nor writing is allowed until patient approval. Verification is provisioned manually by an administrator, never inferred from signup or OCR.

POST
/v1/clinical/access-requests
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/clinical/access-requests" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "pending",  "practitioner": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "licenseAuthority": "string",    "licenseNumber": "string",    "specialistRegistration": "string",    "specialty": "string",    "organization": "string",    "verifiedAt": "2019-08-24T14:15:22Z",    "verificationValidUntil": "2019-08-24T14:15:22Z"  },  "requestedAt": "2019-08-24T14:15:22Z",  "pendingExpiresAt": "2019-08-24T14:15:22Z",  "approvedAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z",  "deniedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "purpose": "consultation_recordkeeping",  "scope": "read_and_add",  "noticeVersion": "2026-09-09"}